﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="GoogleDocsPicker.ascx.cs" Inherits="JitbitCRM.GoogleDocsPicker" %>

	<script src="https://www.google.com/jsapi" type="text/javascript"></script>

	<a class="grey lnkBrowse" href="javascript:void(0)" onclick="PickGoogle()">attach from Google Docs...</a>
	<div id="gdFiles" class="grey"></div>
	
	<script type="text/javascript">
		function PickGoogle() {
			google.load('picker', '1', { "callback": createPicker });
		}

		// Create and render a Picker object for searching images.
		function createPicker() {
			var view = new google.picker.View(google.picker.ViewId.DOCS);
			var picker = new google.picker.PickerBuilder()
			  .enableFeature(google.picker.Feature.NAV_HIDDEN)
			  .addView(view)
			  .setCallback(pickerCallback)
			  .build();
			picker.setVisible(true);
		}

		// A simple callback implementation.
		function pickerCallback(data) {
			if (data.action == google.picker.Action.PICKED) {
				var element = $('<div/>').html("<a href='javascript:void(0)' onclick='$(this).parent().remove()'>x</a> <span>" + data.docs[0].name + "</span><input type='hidden' name='gdFile' value='" + data.docs[0].embedUrl + "' /><input type='hidden' name='gdFileName' value='" + data.docs[0].name + "' />");
				$("#gdFiles").append(element);
			}
		}
	</script>