﻿<%@ Page Language="C#" MasterPageFile="~/JitbitCRMMaster.Master" AutoEventWireup="true" CodeBehind="ProjectView.aspx.cs" Inherits="JitbitCRM.ProjectView" %>
<%@ Register src="Comments.ascx" tagname="Comments" tagprefix="uc1" %>
<%@ Register src="Tasks.ascx" tagname="Tasks" tagprefix="uc2" %>
<%@ Register src="Files.ascx" tagname="Files" tagprefix="uc3" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
<div class="leftContent">
	<div class="outerroundedbox grey" style="overflow:hidden">
		<img class="avatar" src="images/project.gif" alt="" style="float:left;margin-right:10px;" />
		Project
		<h1><asp:label id="lblName" runat="server" EnableViewState="False"></asp:label></h1>

	</div>

	<ul class="tabmenu2 blueheader">
	<li runat="server" id="liComments" enableviewstate="false">
		<a href="ProjectView.aspx?ProjectID=<%=_projectId %>"><asp:Label id="lblHistory" runat="server" EnableViewState="false">History</asp:Label></a></li>
	<li runat="server" id="liTasks" enableviewstate="false">
		<a href="ProjectView.aspx?ProjectID=<%=_projectId %>&Tasks=1"><asp:Label id="lblTasks" runat="server" EnableViewState="false">Tasks</asp:Label></a></li>
	<li runat="server" id="liFiles" enableviewstate="false">
		<a href="ProjectView.aspx?ProjectID=<%=_projectId %>&Files=1"><asp:Label id="lblFiles" runat="server" EnableViewState="false">Files</asp:Label></a></li>
	</ul>

	<div class="outerroundedbox">
		<uc1:Comments ID="Comments1" runat="server" ShowContactLinks="true" ShowCompanyLinks="true" ShowAttachToContactOrCompany="true" />
		<uc2:Tasks ID="Tasks1" runat="server" ShowContactLinks="true" ShowCompanyLinks="true" ShowAttachToContactOrCompany="true" />
		<uc3:Files ID="Files1" runat="server" ShowContactLinks="true" ShowCompanyLinks="true" />
	</div>

</div>
<div class="rightsidebar">

<table cellpadding="7" width="100%" class="outerroundedbox lightbg">
	<thead><tr><th colspan="2">
		<span style="float:left">Project details</span>
		<a href="ProjectEdit.aspx?ProjectID=<%=_projectId %>" style="float:right">edit...</a>
	</th></tr></thead>
	<tbody>
	<tr>
		<td class="grey" align="right" width="30%">Title:</td>
		<td><asp:Label ID="lblName2" runat="server" EnableViewState="false"/></td>
	</tr>
	<tr>
		<td class="grey" width="30%" align="right">Tags:</td>
		<td><asp:Label ID="lblTags" runat="server" EnableViewState="False" /></td>
	</tr>
	<tr>
		<td class="grey" align="right">Assigned to:</td>
		<td><a href="" id="lnkAssignedTo" runat="server" enableviewstate="false"></a></td>
	</tr>
	<tr>
		<td class="grey" align="right">Value:</td>
		<td><asp:Label ID="lblValue" runat="server" EnableViewState="false"></asp:Label></td>
	</tr>

	<asp:Repeater ID="rptCustomFields" runat="server" EnableViewState="false">
		<HeaderTemplate><tr><td colspan="2"><hr /></td></tr></HeaderTemplate>
		<ItemTemplate>
			<tr><td align="right" class="grey"><%# Eval("FieldName") %>:</td><td><%# ShowCustomFieldValue( Eval("FieldID"), Eval("Type"),  Eval("Value")) %></td></tr>
		</ItemTemplate>
	</asp:Repeater>

	<tr>
		<td></td><td align="right" class="grey"><a href="ProjectPrint.aspx?ProjectID=<%=_projectId %>">print <img src="images/print.png" alt="print" /></a></td>
	</tr>
	</tbody>
</table>

<br />

<asp:UpdatePanel ID="PanelProjectMembers" runat="server">
	<ContentTemplate>
	<table cellpadding="7" width="100%" class="outerroundedbox lightbg">
		<tr><th colspan="3">
			<asp:label id="lblDetails" runat="server" EnableViewState="False">Companies & contacts involved with the project:</asp:label>
		</th></tr><tbody>
	<asp:Repeater id="rptCompanies" runat="server" OnItemCommand="rptCompanies_ItemCommand">
	<ItemTemplate>
		<tr><td width="90%"><a href="CompanyView.aspx?CompanyID=<%# Eval("CompanyID") %>"><img style="vertical-align:middle;" src='<%# GetCompanyAvatarImagePath(Eval("CompanyID")) %>' class="smallavatar" alt="" /> <%# Eval("Name") %></a></td>
		<td align="right"><asp:ImageButton runat="server" OnClientClick="return confirm('Are you sure?');" style="vertical-align:middle;" CommandName="delete" CommandArgument='<%# Eval("CompanyID") %>' ImageUrl="~/images/delete.png" ToolTip="delete" /></td></tr>
	</ItemTemplate>
	</asp:Repeater>
	<asp:Repeater id="rptContacts" runat="server" OnItemCommand="rptContacts_ItemCommand">
	<ItemTemplate>
		<tr><td width="90%"><a href="ContactView.aspx?ContactID=<%# Eval("ContactID") %>"><img style="vertical-align:middle;" src='<%# GetContactAvatarImagePath(Eval("ContactID")) %>' class="smallavatar" alt="" /> <%# Eval("FirstName") %> <%# Eval("LastName") %></a></td>
		<td align="right"><asp:ImageButton runat="server" OnClientClick="return confirm('Are you sure?');" style="vertical-align:middle;" CommandName="delete" CommandArgument='<%# Eval("ContactID") %>' ImageUrl="~/images/delete.png" ToolTip="delete" /></td></tr>
	</ItemTemplate>
	</asp:Repeater>
		<tr><td colspan="2" class="grey">
			Add a company or a contact to this project:<br />
			<asp:TextBox ID="tbAddNew" runat="server" Text="type for suggestions" style="color:Silver" onfocus="this.value='';this.style.color='Black';"></asp:TextBox>
			<asp:Button ID="btnAdd" class='bluebutton' runat="server" EnableViewState="false" OnClick="btnAdd_Click" Text="+" />
			<input type="hidden" id="inputAddCompany" name="inputAddCompany" />
			<input type="hidden" id="inputAddContact" name="inputAddContact" />
		</td></tr></tbody>
	</table>
</ContentTemplate>
</asp:UpdatePanel>

<script type="text/javascript">
	function AttachAutoComplete() {
		AttachAutoCompleteToInputAndHiddenInput(
			$('#<%= tbAddNew.ClientID %>'),
			$('#inputAddContact'),
			$('#inputAddCompany')
		);
	}
	$(document).ready(AttachAutoComplete);
	Sys.WebForms.PageRequestManager.getInstance().add_endRequest(AttachAutoComplete);
</script>

</div>
<div class="clearfix"></div>

</asp:Content>
